#!/bin/bash
term_handler() {
    echo "Signal SIGTERM reçu. Nettoyage..."
# Ajoute ici les commandes nécessaires pour arrêter proprement ton application
atropos --backup
pkill vrrpd
exit 0
}

trap 'term_handler' SIGTERM

vrrpd -i $net $ipaddr -v $vid -M $monit -a pw/$pass -d $delay -U /vrrpd/Master.sh -D /vrrpd/Backup.sh

while pidof vrrpd >/dev/null; do
    sleep 5
done
